Back to index

salome-geom  6.5.0
Modules | Functions
Building by blocks
Creating geometrical objects
Collaboration diagram for Building by blocks:

Modules

 Check and Improve

Functions

def geompyDC.geompyDC.MakeQuad
 Create a quadrangle face from four edges.
def geompyDC.geompyDC.MakeQuad2Edges
 Create a quadrangle face on two edges.
def geompyDC.geompyDC.MakeQuad4Vertices
 Create a quadrangle face with specified corners.
def geompyDC.geompyDC.MakeHexa
 Create a hexahedral solid, bounded by the six given faces.
def geompyDC.geompyDC.MakeHexa2Faces
 Create a hexahedral solid between two given faces.

Function Documentation

def geompyDC.geompyDC.MakeHexa (   self,
  F1,
  F2,
  F3,
  F4,
  F5,
  F6 
)

Create a hexahedral solid, bounded by the six given faces.

Order of faces is not important. It is not necessary that Faces share the same edge.

Parameters:
F1,F2,F3,F4,F5,F6Faces for the hexahedral solid.
Returns:
New GEOM.GEOM_Object, containing the created solid.

Example 1
Example 2

Create a hexahedral solid, bounded by the six given faces. Order of
faces is not important. It is  not necessary that Faces share the same edge.

Parameters: 
    F1,F2,F3,F4,F5,F6 Faces for the hexahedral solid.

Returns:    
    New GEOM.GEOM_Object, containing the created solid.

Example of usage:
    solid = geompy.MakeHexa(qface1, qface2, qface3, qface4, qface5, qface6)

Definition at line 7324 of file geompyDC.py.

07324 
07325         def MakeHexa(self,F1, F2, F3, F4, F5, F6):
07326             """
07327             Create a hexahedral solid, bounded by the six given faces. Order of
07328             faces is not important. It is  not necessary that Faces share the same edge.
07329 
07330             Parameters: 
07331                 F1,F2,F3,F4,F5,F6 Faces for the hexahedral solid.
07332 
07333             Returns:    
07334                 New GEOM.GEOM_Object, containing the created solid.
07335 
07336             Example of usage:
07337                 solid = geompy.MakeHexa(qface1, qface2, qface3, qface4, qface5, qface6)
07338             """
07339             # Example: see GEOM_Spanner.py
07340             anObj = self.BlocksOp.MakeHexa(F1, F2, F3, F4, F5, F6)
07341             RaiseIfFailed("MakeHexa", self.BlocksOp)
07342             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeHexa2Faces (   self,
  F1,
  F2 
)

Create a hexahedral solid between two given faces.

The missing faces will be built by creating the smallest ones.

Parameters:
F1,F2Two opposite faces for the hexahedral solid.
Returns:
New GEOM.GEOM_Object, containing the created solid.

Example 1
Example 2

Create a hexahedral solid between two given faces.
The missing faces will be built by creating the smallest ones.

Parameters: 
    F1,F2 Two opposite faces for the hexahedral solid.

Returns:
    New GEOM.GEOM_Object, containing the created solid.

Example of usage:
    solid1 = geompy.MakeHexa2Faces(qface1, qface2)

Definition at line 7350 of file geompyDC.py.

07350 
07351         def MakeHexa2Faces(self,F1, F2):
07352             """
07353             Create a hexahedral solid between two given faces.
07354             The missing faces will be built by creating the smallest ones.
07355 
07356             Parameters: 
07357                 F1,F2 Two opposite faces for the hexahedral solid.
07358 
07359             Returns:
07360                 New GEOM.GEOM_Object, containing the created solid.
07361 
07362             Example of usage:
07363                 solid1 = geompy.MakeHexa2Faces(qface1, qface2)
07364             """
07365             # Example: see GEOM_Spanner.py
07366             anObj = self.BlocksOp.MakeHexa2Faces(F1, F2)
07367             RaiseIfFailed("MakeHexa2Faces", self.BlocksOp)
07368             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeQuad (   self,
  E1,
  E2,
  E3,
  E4 
)

Create a quadrangle face from four edges.

Order of Edges is not important. It is not necessary that edges share the same vertex.

Parameters:
E1,E2,E3,E4Edges for the face bound.
Returns:
New GEOM.GEOM_Object, containing the created face.

Example

Create a quadrangle face from four edges. Order of Edges is not
important. It is  not necessary that edges share the same vertex.

Parameters: 
    E1,E2,E3,E4 Edges for the face bound.

Returns: 
    New GEOM.GEOM_Object, containing the created face.

Example of usage:               
    qface1 = geompy.MakeQuad(edge1, edge2, edge3, edge4)

Definition at line 7232 of file geompyDC.py.

07232 
07233         def MakeQuad(self,E1, E2, E3, E4):
07234             """
07235             Create a quadrangle face from four edges. Order of Edges is not
07236             important. It is  not necessary that edges share the same vertex.
07237 
07238             Parameters: 
07239                 E1,E2,E3,E4 Edges for the face bound.
07240 
07241             Returns: 
07242                 New GEOM.GEOM_Object, containing the created face.
07243 
07244             Example of usage:               
07245                 qface1 = geompy.MakeQuad(edge1, edge2, edge3, edge4)
07246             """
07247             # Example: see GEOM_Spanner.py
07248             anObj = self.BlocksOp.MakeQuad(E1, E2, E3, E4)
07249             RaiseIfFailed("MakeQuad", self.BlocksOp)
07250             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeQuad2Edges (   self,
  E1,
  E2 
)

Create a quadrangle face on two edges.

The missing edges will be built by creating the shortest ones.

Parameters:
E1,E2Two opposite edges for the face.
Returns:
New GEOM.GEOM_Object, containing the created face.

Example

Create a quadrangle face on two edges.
The missing edges will be built by creating the shortest ones.

Parameters: 
    E1,E2 Two opposite edges for the face.

Returns: 
    New GEOM.GEOM_Object, containing the created face.

Example of usage:
    # create vertices
    p1 = geompy.MakeVertex(  0.,   0.,   0.)
    p2 = geompy.MakeVertex(150.,  30.,   0.)
    p3 = geompy.MakeVertex(  0., 120.,  50.)
    p4 = geompy.MakeVertex(  0.,  40.,  70.)
    # create edges
    edge1 = geompy.MakeEdge(p1, p2)
    edge2 = geompy.MakeEdge(p3, p4)
    # create a quadrangle face from two edges
    qface2 = geompy.MakeQuad2Edges(edge1, edge2)

Definition at line 7257 of file geompyDC.py.

07257 
07258         def MakeQuad2Edges(self,E1, E2):
07259             """
07260             Create a quadrangle face on two edges.
07261             The missing edges will be built by creating the shortest ones.
07262 
07263             Parameters: 
07264                 E1,E2 Two opposite edges for the face.
07265 
07266             Returns: 
07267                 New GEOM.GEOM_Object, containing the created face.
07268             
07269             Example of usage:
07270                 # create vertices
07271                 p1 = geompy.MakeVertex(  0.,   0.,   0.)
07272                 p2 = geompy.MakeVertex(150.,  30.,   0.)
07273                 p3 = geompy.MakeVertex(  0., 120.,  50.)
07274                 p4 = geompy.MakeVertex(  0.,  40.,  70.)
07275                 # create edges
07276                 edge1 = geompy.MakeEdge(p1, p2)
07277                 edge2 = geompy.MakeEdge(p3, p4)
07278                 # create a quadrangle face from two edges
07279                 qface2 = geompy.MakeQuad2Edges(edge1, edge2)
07280             """
07281             # Example: see GEOM_Spanner.py
07282             anObj = self.BlocksOp.MakeQuad2Edges(E1, E2)
07283             RaiseIfFailed("MakeQuad2Edges", self.BlocksOp)
07284             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeQuad4Vertices (   self,
  V1,
  V2,
  V3,
  V4 
)

Create a quadrangle face with specified corners.

The missing edges will be built by creating the shortest ones.

Parameters:
V1,V2,V3,V4Corner vertices for the face.
Returns:
New GEOM.GEOM_Object, containing the created face.

Example 1
Example 2

Create a quadrangle face with specified corners.
The missing edges will be built by creating the shortest ones.

Parameters: 
    V1,V2,V3,V4 Corner vertices for the face.

Returns: 
    New GEOM.GEOM_Object, containing the created face.

Example of usage:
    # create vertices
    p1 = geompy.MakeVertex(  0.,   0.,   0.)
    p2 = geompy.MakeVertex(150.,  30.,   0.)
    p3 = geompy.MakeVertex(  0., 120.,  50.)
    p4 = geompy.MakeVertex(  0.,  40.,  70.)
    # create a quadrangle from four points in its corners
    qface3 = geompy.MakeQuad4Vertices(p1, p2, p3, p4)

Definition at line 7292 of file geompyDC.py.

07292 
07293         def MakeQuad4Vertices(self,V1, V2, V3, V4):
07294             """
07295             Create a quadrangle face with specified corners.
07296             The missing edges will be built by creating the shortest ones.
07297 
07298             Parameters: 
07299                 V1,V2,V3,V4 Corner vertices for the face.
07300 
07301             Returns: 
07302                 New GEOM.GEOM_Object, containing the created face.
07303 
07304             Example of usage:
07305                 # create vertices
07306                 p1 = geompy.MakeVertex(  0.,   0.,   0.)
07307                 p2 = geompy.MakeVertex(150.,  30.,   0.)
07308                 p3 = geompy.MakeVertex(  0., 120.,  50.)
07309                 p4 = geompy.MakeVertex(  0.,  40.,  70.)
07310                 # create a quadrangle from four points in its corners
07311                 qface3 = geompy.MakeQuad4Vertices(p1, p2, p3, p4)
07312             """
07313             # Example: see GEOM_Spanner.py
07314             anObj = self.BlocksOp.MakeQuad4Vertices(V1, V2, V3, V4)
07315             RaiseIfFailed("MakeQuad4Vertices", self.BlocksOp)
07316             return anObj

Here is the call graph for this function: